import { BlockComponentRegistry} from "@minecraft/server";

import { event_raincloud as raincloud } from "./dungeoncloudblock";

import { event_mimic5 as mimic5 } from "./dungeonblocks";
import { event_mimic4 as mimic4 } from "./dungeonblocks";
import { event_mimic3 as mimic3 } from "./dungeonblocks";
import { event_mimic2 as mimic2 } from "./dungeonblocks";
import { event_mimic1 as mimic1 } from "./dungeonblocks";
import { event_deepslate as deepslate } from "./dungeonblocks";
import { event_stone as stone } from "./dungeonblocks";
import { event_glimmerite as fortune_glimmerite } from "./dungeonblocks";
import { event_viritum as fortune_viritum } from "./dungeonblocks";
import { event_iron as fortune_iron } from "./dungeonblocks";
import { event_coal as fortune_coal } from "./dungeonblocks";
import { event_gold as fortune_gold } from "./dungeonblocks";
import { event_copper as fortune_copper } from "./dungeonblocks";
import { event_diamond as fortune_diamond } from "./dungeonblocks";
import { event_lapis as fortune_lapis } from "./dungeonblocks";
import { event_emerald as fortune_emerald } from "./dungeonblocks";
import { event_jade as fortune_jade } from "./dungeonblocks";
import { event_tungsten as fortune_tungsten } from "./dungeonblocks";
import { event_titanium as fortune_titanium } from "./dungeonblocks";
import { event_silver as fortune_silver } from "./dungeonblocks";
import { event_cobalt as fortune_cobalt } from "./dungeonblocks";
import { event_vitalife as fortune_vitalife } from "./dungeonblocks";


function registerBlockComponents(registry) {
  registry.registerCustomComponent("dungeon:fortune_vitalife", fortune_vitalife);
  registry.registerCustomComponent("dungeon:raincloud", raincloud);
  registry.registerCustomComponent("otherworldly_winter:event_mimic5", mimic5);
  registry.registerCustomComponent("otherworldly_winter:event_mimic4", mimic4);
  registry.registerCustomComponent("otherworldly_winter:event_mimic3", mimic3);
  registry.registerCustomComponent("otherworldly_winter:event_mimic2", mimic2);
  registry.registerCustomComponent("otherworldly_winter:event_mimic1", mimic1);
  registry.registerCustomComponent("dungeon:deepslate", deepslate);
  registry.registerCustomComponent("dungeon:stone", stone);
  registry.registerCustomComponent("dungeon:fortune_glimmerite", fortune_glimmerite);
  registry.registerCustomComponent("dungeon:fortune_viritum", fortune_viritum);
  registry.registerCustomComponent("dungeon:fortune_iron", fortune_iron);
  registry.registerCustomComponent("dungeon:fortune_coal", fortune_coal);
  registry.registerCustomComponent("dungeon:fortune_gold", fortune_gold);
  registry.registerCustomComponent("dungeon:fortune_copper", fortune_copper);
  registry.registerCustomComponent("dungeon:fortune_diamond", fortune_diamond);
  registry.registerCustomComponent("dungeon:fortune_lapis", fortune_lapis);
  registry.registerCustomComponent("dungeon:fortune_emerald", fortune_emerald);
  registry.registerCustomComponent("dungeon:fortune_jade", fortune_jade);
  registry.registerCustomComponent("dungeon:fortune_tungsten", fortune_tungsten);
  registry.registerCustomComponent("dungeon:fortune_titanium", fortune_titanium);
  registry.registerCustomComponent("dungeon:fortune_silver", fortune_silver);
  registry.registerCustomComponent("dungeon:fortune_cobalt", fortune_cobalt);
};
export {
  registerBlockComponents,
};